TZSELECT(8)

NOM
tzselect - Sélectionner un fuseau horaire

SYNOPSIS
tzselect [ -c coord ] [ -n limite ] [ --help ] [ --version ]

DESCRIPTION
Le programme tzselect demande à l'utilisateur des informations sur son emplacement géographique et fournit la description du fuseau horaire sur la sortie standard. Cette sortie est utilisable comme valeur pour la variable d'environnement TZ.

Toutes les interactions avec l'utilisateur se font par l'entrée standard et la sortie d'erreur.

OPTIONS

-c coord
    Au lieu de demander le continent, le pays puis la ville, demander une sélection à partir de zones horaires dont les plus grandes villes sont proches de l’emplacement de coordonnées géographiques coord. Utiliser la notation ISO 6709 pour coord, c'est-à-dire, une latitude suivie immédiatement par une longitude. La latitude et la longitude doivent être des nombres entiers suivis facultativement par un point décimal et une partie fractionnaire. Les nombres positifs représentent le nord et l’est, ceux négatifs le sud et l’ouest. Les latitudes avec deux chiffres et les longitudes avec trois chiffres sont traitées comme des degrés. Les latitudes avec quatre ou six chiffres et les longitudes avec cinq ou sept chiffres sont traitées comme DDMM, DDDMM, DDMMSS ou DDDMMSS représentant DD ou DDD degrés, MM minutes et zéro ou SS secondes, avec n’importe quelle partie fractionnaire représentant des minutes ou (si SS est présent) de secondes. Le point décimal est celui de la régionalisation utilisée. Par exemple, avec la locale C (celle par défaut), -c +40.689-074.045 indique 40.689°N, 74.045°W, -c +4041.4-07402.7 indique 40°41.4′N, 74°2.7′W, and -c +404121-0740240 indique 40°41′21″N, 74°2′40″W. Si coord n’est pas une des formes répertoriées, le comportement résultant n’est pas défini.

-n limite
    Lorsque -c est utilisé, afficher les limite emplacements les plus proches (par défaut 10).

--help
    Afficher l’aide et terminer.

--version
    Afficher le numéro de version et quitter.

VARIABLES D'ENVIRONNEMENT

AWK Nom de l'interpréteur awk compatible POSIX disponible (par défaut : awk).

TZDIR
    Nom du répertoire contenant les fichiers de données des fuseaux horaires (par défaut : /usr/share/zoneinfo).

FICHIERS

TZDIR/iso3166.tab
    Table des noms de pays et des codes sur deux lettres (ISO 3166).

TZDIR/zone1970.tab
    Table des codes, des latitudes et longitudes, des fuseaux horaires pour des régions et leurs commentaires descriptifs.

TZDIR/TZ
    Fichier de données du fuseau horaire TZ.

CODE DE RETOUR
Le code de retour vaut zéro si un fuseau horaire a été obtenu correctement et est différent de zéro dans le cas contraire.

VOIR AUSSI
newctime(3), tzfile(5), zdump(8), zic(8)

NOTES
Les applications ne doivent pas présumer que la sortie de tzselect corresponde à des préférences politiques.

TRADUCTION
La traduction française de cette page de manuel a été créée par Christophe Blaess <https://www.blaess.fr/christophe/>, Stéphan Rafin <stephan.rafin@laposte.net>, Thierry Vignaud <tvignaud@mandriva.com>, François Micaux, Alain Portal <aportal@univ-montp2.fr>, Jean-Philippe Guérard <fevrier@tigreraye.org>, Jean-Luc Coulon (f5ibh) <jean-luc.coulon@wanadoo.fr>, Julien Cristau <jcristau@debian.org>, Thomas Huriaux <thomas.huriaux@gmail.com>, Nicolas François <nicolas.francois@centraliens.net>, Florentin Duneau <fduneau@gmail.com>, Simon Paillard <simon.paillard@resel.enst-bretagne.fr>, Denis Barbier <barbier@debian.org>, David Prévot <david@tilapin.org> et Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr> Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE. Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.